/****************************************************************************
 *                                                                          *
 * U U    6   1            U U   FFF  O   O  TTT                            *
 * U U   6   11   b        U U   F   O O O O  T                             *
 * U U - 66   1   bb  y y  U U - FF  O O O O  T                             *
 * U U   6 6  1   b b  y   U U   F   O O O O  T                             *
 *  U     6   1   bb   y    U    F    O   O   T                             *
 *                                                                          *
 * U61 is another block based game                                          *
 * Copyright (C) 2000 Christian Mauduit (ufoot@ufoot.org / www.ufoot.org)   *
 *                                                                          *
 * This program is free software; you can redistribute it and/or            *
 * modify it under the terms of the GNU General Public License              *
 * as published by the Free Software Foundation; either version 2           *
 * of the License, or (at your option) any later version.                   *
 *                                                                          *
 * This program is distributed in the hope that it will be useful,          *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 * GNU General Public License for more details.                             *
 *                                                                          *
 * You should have received a copy of the GNU General Public License        *
 * along with this program; if not, write to the Free Software              *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA*
 *                                                                          *
 * This project is also available on SourceForge  (http://sourceforge.net)  *
 ****************************************************************************/

/*
 * file name:   playerconfig.cpp
 * author:      U-Foot (ufoot@ufoot.org / www.ufoot.org)
 * description: designed to be a member of the config class, and store
 *              information about a player
 */


/*---------------------------------------------------------------------------
 includes
 ---------------------------------------------------------------------------*/

#include "playerconfig.h"

/*---------------------------------------------------------------------------
 variants
 ---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
 functions
 ---------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*/
/* 
 * creates a player config object
 */ 
U61_PlayerConfig::U61_PlayerConfig()
{
}

/*--------------------------------------------------------------------------*/
/* 
 * deletes a player config object
 */ 
U61_PlayerConfig::~U61_PlayerConfig()
{
}

/*--------------------------------------------------------------------------*/
/*
 * gives default parameters
 */
void U61_PlayerConfig::reset()
{
    activable=true;
 
    key_start_stop=CL_KEY_1;
    key_move_left=CL_KEY_LEFT;
    key_move_right=CL_KEY_RIGHT;
    key_rotate_left=CL_KEY_Q;
    key_rotate_right=CL_KEY_UP;
    key_move_down=CL_KEY_DOWN;
    key_drop=CL_KEY_SPACE;
    key_next_victim=CL_KEY_W;
    key_prev_victim=CL_KEY_E;
    key_use_antedote=CL_KEY_R;

    first_repeat_move=10;
    standard_repeat_move=5;
    first_repeat_rotate=20;
    standard_repeat_rotate=10;
    first_repeat_other=40;
    standard_repeat_other=20;
}
